from pygame.locals import K_ESCAPE, K_q, K_BACKSPACE, K_DELETE

# Display constants
SCREEN = (800, 600)
EDIT_SCREEN = (1000, 600)
TILE_SIZE = (20, 20)

# Miscellaneous constants
NAME = "Mutable Mamba"
WINDOW_ICON = "icons/program/icon_24.png"
FPS = 60
LEVEL_SERVER = "http://ctpug.org.za/mamba/"
# LEVEL_SERVER = "http://localhost:5000/"

# Sound constants
FREQ = 44100   # same as audio CD
BITSIZE = -16  # unsigned 16 bit
CHANNELS = 2   # 1 == mono, 2 == stereo
BUFFER = 1024  # audio buffer size in no. of samples

# Keyboard constants
ESCAPE_KEYS = (K_ESCAPE, K_q, K_BACKSPACE)
DELETE_KEYS = (K_BACKSPACE, K_DELETE)

# For easy access later
DEFAULT_FONT = 'DejaVuSans.ttf'
FONT_SIZE = 16

# Colours
FOCUS_COLOR = 'red'
COLOR = 'black'

# Special level directory files
RESERVED_NAMES = ['index']

# Directions
UP, DOWN, LEFT, RIGHT = [(0, -1), (0, 1), (-1, 0), (1, 0)]

# Default command-line options
DEFAULTS = {
    'debug': False,
    'sound': True,
    'level': None,
    'uncurated': None,
    'list_uncurated': False,
    'edit': False,
    'save_location': None,  # Determined by a function in options
}
