"""Credits"""

import pygame
from pygame.locals import KEYDOWN
import pygame.event

from mamba.data import load_image
from mamba.constants import ESCAPE_KEYS
from mamba.engine import Habitat, NewHabitatEvent
from mamba.widgets.overlay import OverlayButton


class CreditsHabitat(Habitat):
    def __init__(self):
        super(CreditsHabitat, self).__init__()

        self.bg_image = load_image('menus/credits.png')
        self.add_box((12, 11), (142, 41), 'back', self.back_event)
        self.container.add_callback(KEYDOWN, self.keydown_event)

    def draw_background(self):
        self.surface.blit(self.bg_image, self.surface.get_rect())

    def add_box(self, pos, size, overlay_name, clicked):
        image = load_image('menus/submenu-%s.png' % overlay_name)
        box = OverlayButton(pygame.Rect(pos, size), image)
        box.add_callback('clicked', clicked)
        self.container.add(box)
        return box

    def back_event(self, ev, widget):
        from mamba.habitats.mainmenu import MainMenu
        NewHabitatEvent.post(MainMenu())
        return True

    def keydown_event(self, ev, widget):
        if ev.key in ESCAPE_KEYS:
            from mamba.habitats.mainmenu import MainMenu
            NewHabitatEvent.post(MainMenu())
            return True
