#!/bin/bash

set -e
set -u

tilesize=20

svgroot=source/svg
pngroot=data

for sourcepath in `find "$svgroot" -name "*.svg"`
do
    sourcefile="`basename $sourcepath`"
    sourcedir="`dirname $sourcepath`"
    destdir="${sourcedir/#$svgroot/$pngroot}"
    mkdir -p "$destdir"
    destpath="$destdir/${sourcefile/%svg/png}"
    opts=""
    echo "$sourcepath" | grep -Fq /tiles/ && opts="-w $tilesize -h $tilesize"
    rsvg-convert "$sourcepath" $opts -o "$destpath"
    pngcrush -q "$destpath" tmp && mv tmp "$destpath"
done
